Bug 1792034 - python-convertdate fails to build in Fedora 32: No module named 'pymeeus'
Summary: python-convertdate fails to build in Fedora 32: No module named 'pymeeus'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-convertdate
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabian Affolter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F32FTBFS PYTHON39
TreeView+ depends on / blocked
 
Reported: 2020-01-16 22:01 UTC by Miro Hrončok
Modified: 2020-01-31 02:00 UTC (History)
4 users (show)

Fixed In Version: python-convertdate-2.2.0-2.fc30 python-convertdate-2.2.0-2.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-31 01:12:31 UTC
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2020-01-16 22:01:37 UTC
When we attempted a Python 3.9 rebuild of python-convertdate, we have found out it fails to build:

_____________________ ERROR collecting tests/test_bahai.py _____________________
ImportError while importing test module '/builddir/build/BUILD/convertdate-2.2.0/tests/test_bahai.py'.
Hint: make sure your test modules/packages have valid Python names.
Traceback:
tests/test_bahai.py:5: in <module>
    from convertdate import bahai
convertdate/__init__.py:18: in <module>
    from . import bahai
convertdate/bahai.py:11: in <module>
    from pymeeus.Sun import Sun
E   ModuleNotFoundError: No module named 'pymeeus'

Looks like a missing dependency.


For the build logs, see:
https://copr-be.cloud.fedoraproject.org/results/@python/python3.9/fedora-rawhide-x86_64/01148871-python-convertdate/

For all our attempts to build python-convertdate with Python 3.9, see:
https://copr.fedorainfracloud.org/coprs/g/python/python3.9/package/python-convertdate/

Testing and mass rebuild of packages is happening in copr. You can follow these instructions to test locally in mock if your package builds with Python 3.9:
https://copr.fedorainfracloud.org/coprs/g/python/python3.9/

Let us know here if you have any questions.

Python 3.9 will be included in Fedora 33. To make that update smoother, we're building Fedora packages with early pre-releases of Python 3.9.
A build failure prevents us from testing all dependent packages (transitive [Build]Requires), so if this package is required a lot, it's important for us to get it fixed soon.
We'd appreciate help from the people who know this package best, but if you don't want to work on this now, let us know so we can try to work around it on our side.

This failure seems not to be related to Python 3.9, but it still blocks our rebuild.

Comment 1 Fedora Update System 2020-01-19 00:10:05 UTC
FEDORA-2020-8187540995 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-8187540995

Comment 2 Fedora Update System 2020-01-20 04:22:45 UTC
python-convertdate-2.2.0-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-5576d53853

Comment 3 Fedora Update System 2020-01-20 23:33:06 UTC
python-convertdate-2.2.0-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-8187540995

Comment 4 Fedora Update System 2020-01-31 01:12:31 UTC
python-convertdate-2.2.0-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2020-01-31 02:00:45 UTC
python-convertdate-2.2.0-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.